<?php
namespace Claromentis\Core\Ai\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_9247c1342b393151" . "3e7d846ad4639bb4" => base64_decode("YXVkaXRDaG" . "F0UHJvbXB0"), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_79d426f9e30060d8279a1da0a9c6ba" . "f1" => base64_decode("UHJv" . "bXB0" . "OiAi"), "_7f628626dd1d" . "55c71b1fc0932" . "ffd1d2c" => base64_decode("aXNfYXJyY" . "Xk="), "_4b878be3b9" . "84a2ace7d2d" . "c22b5f59289" => base64_decode("YXVkaXRUZ" . "Xh0UHJvbX" . "B0"), "_e92ad742fc12ec1dd5c30557fafca" . "331" => base64_decode("I" . "g" . "=" . "="), "_58f9cd2f97dbf4d2db" . "74ab02504a90b9" => base64_decode("YXJyYXlfcmV2ZXJ" . "zZQ=="), "_63320be23a35daa" . "beeb7422b56f6b89" . "4" => base64_decode("YXVkaXRJbWFnZVB" . "yb21wdA=="), "_5e30c4717ced36cff9e93e19a" . "5c576cc" => base64_decode("aXNfc3RyaW" . "5n"));
use Claromentis\Core\Ai\AiServiceProvider;
use Claromentis\Core\Ai\Events\AiEvent;
use Claromentis\Core\Ai\Events\AiEventType;
use Claromentis\Core\Ai\Parts\PartInterface;
use Claromentis\Core\Ai\Parts\TextPart;
use Claromentis\Core\Audit\Audit;
use Claromentis\Core\Security\SecurityContext;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class AuditSubscriber implements EventSubscriberInterface
{
    
    
    
    
    protected Audit $audit;
    
    
    
    
    
    
    public function __construct(Audit $audit)
    {
        $this->audit = $audit;
    }
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents() : array
    {
        return [AiEventType::TEXT_PROMPT => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4b878be" . "3b984a2a" . "ce7d2dc2" . "2b5f5928" . "9"], AiEventType::CHAT_PROMPT => $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_9247c1342b3931513e7d846a" . "d4639bb4"], AiEventType::IMAGE_PROMPT => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_63320be23a35daabeeb7" . "422b56f6b894"]];
    }
    
    
    
    
    
    
    
    public function auditTextPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::TEXT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditChatPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::CHAT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditImagePrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::IMAGE_PROMPT);
    }
    
    
    
    
    
    
    
    
    private function handlePromptAudit(AiEvent $event, string $_18c3ae9a896c5ec6d2e49d0d9d3852f2) : void
    {
        $_9961f986823b4be7f5c4cc8379c6b228 = $event->getPrompt();
        $text = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93bebb00b" . "be69e8159697c90"];
        if ($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_7f628626dd1d55c71b1" . "fc0932ffd1d2c"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            $_9961f986823b4be7f5c4cc8379c6b228 = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_58f9cd2f97dbf4d2db74ab" . "02504a90b9"]($_9961f986823b4be7f5c4cc8379c6b228);
            foreach ($_9961f986823b4be7f5c4cc8379c6b228 as $_d962cfd1735adb2dfba46f69c7f15cb8) {
                
                
                if ($_d962cfd1735adb2dfba46f69c7f15cb8 instanceof TextPart && $_d962cfd1735adb2dfba46f69c7f15cb8->getRole() === PartInterface::PART_ROLE_USER) {
                    $text = $_d962cfd1735adb2dfba46f69c7f15cb8->getValue();
                    break;
                }
            }
        } else {
            if ($_9961f986823b4be7f5c4cc8379c6b228 instanceof TextPart) {
                $text = $_9961f986823b4be7f5c4cc8379c6b228->getValue();
            } else {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_5e30c4717ced36cff9e93e19a5c5" . "76cc"]($_9961f986823b4be7f5c4cc8379c6b228)) {
                    $text = $_9961f986823b4be7f5c4cc8379c6b228;
                }
            }
        }
        
        
        if (empty($text)) {
            return;
        }
        $this->audit->Success(AiServiceProvider::NAME, $_18c3ae9a896c5ec6d2e49d0d9d3852f2, 0, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_79d426f9e30060d82" . "79a1da0a9c6baf1"] . $text . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e92ad742" . "fc12ec1dd" . "5c30557fa" . "fca331"]);
    }
}